<?
if(isset($_POST['add']) && isset($_POST['name']) && $_POST['name']!=NULL && isset($_POST['msg']) && $_POST['msg']!=NULL && isset($_POST['readers']) && ($_POST['readers']==0 || $_POST['readers']==1 || $_POST['readers']==2))
{
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `diary` WHERE `name` = '".my_esc($_POST['name'])."' LIMIT 1"),0)==0)
{
$name=preg_replace('#[^A-zА-я0-9\(\)\-\_\ ]#ui', null, $_POST['name']);
if (strlen2($name)<3)$err[]='Короткое название';
if (strlen2($name)>64)$err[]='Название не должно быть длиннее 64-х символов';
$mat=antimat($name);
if ($mat)$err[]='В названии обнаружен мат: '.$mat;
$name=my_esc($name);

$msg = esc(stripcslashes(htmlspecialchars($_POST['msg'])));
if (strlen2($msg)<10)$err[]='Короткое сообщение';
if (strlen2($msg)>10000)$err[]='Сообщение не должно быть длиннее 10000 символов';
$mat=antimat($msg);
if ($mat)$err[]='В сообщении обнаружен мат: '.$mat;
$msg = my_esc($msg);

if(isset($_POST['tags']) && $_POST['tags']!=NULL)
{
$tags = esc(stripcslashes(htmlspecialchars($_POST['tags'])));
if (strlen2($tags)<2)$err[]='Короткие теги';
if (strlen2($tags)>128)$err[]='Теги не должны быть длиннее 128-и символов';
$mat=antimat($tags);
if ($mat)$err[]='В тегах обнаружен мат: '.$mat;
$tags=my_esc($tags);
}
else $tags=NULL;

$readers=intval($_POST['readers']);
}
else
{
$err[]='Дневник с таким названием уже существует';
}
if(!isset($err))
{
mysql_query("INSERT INTO `diary` (`id_cat`, `name`, `msg`, `id_user`, `readers`, `tags`, `time`) values ('$r', '$name', '$msg', '$user[id]', '$readers', '$tags', '$time')");
$q = mysql_query("SELECT * FROM `frends` WHERE `user` = '$user[id]' AND `lenta_blog` = '1' AND `i`='1'");
while ($f = mysql_fetch_array($q))
{
$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$f[frend]' LIMIT 1"));
$msg_lenta = "Создал дневник [url=/diary/$name/] $name [/url]";
mysql_query("INSERT INTO `lenta` (`id_user`, `id_kont`, `msg`, `time`) values('$user[id]', '$a[id]', '$msg_lenta', '$time')");
}
header("Location:/diary/$name/");
}
}
?>